Simple application for easy shopping list making, for everyone.
Clone or download
Permalink
Type Name Latest commit message Commit time
Failed to load latest commit information.
android Add INTERNET permission Dec 23, 2018
assets Add persistence and placeholder Dec 18, 2018
ios Initial commit Dec 16, 2018
lib Localize messages from 'deleted' snackbar Dec 28, 2018
.gitignore Prepare app for Google Play publishing Dec 18, 2018
.metadata Initial commit Dec 16, 2018
LICENSE Add LICENSE Dec 24, 2018
README.md Fix bash commands in README Dec 28, 2018
pubspec.yaml Increase version to 1.1.0+3 Dec 28, 2018

README.md

Fast shopping

Fast shopping is a simple application for easy shopping list making, for everyone.

Download on Google Play

Goal

This application was made to resolve a certain problem in a certain way. There are many people that don't want to use a voice assistant and find other apps available on the market too much overwhelming, too complex, bloated with features, bloated with ads or simply overingeenered for their simple problem. In the past, you would get yourself a piece of paper and a pen and write down the stuff you need to buy, so you can read it while being in the market. Fast shopping is an application that does exactly that and only that. Reducing number of taps to a minimum and offering a very readable interface.

Features

  • adding items to list
  • making items complete
  • deleting specific items
  • deleting all completed items at once

and that's all!

Shopping list. Simply.

Contributing

Everyone is welcome to contribute! But remember the main goal of this app.

If you are into localization of the app, please make use of the intl_translation package:

# Generate `intl_messages.arb` from strings in `localization.dart`:
flutter pub pub run intl_translation:extract_to_arb --output-dir=lib/l10n \
    lib/localization.dart
# Create `intl_<locale>.arb` files based on `intl_messages.arb`
# and create Dart file using:
flutter pub pub run intl_translation:generate_from_arb --output-dir=lib/l10n \
    lib/localization.dart lib/l10n/intl_*.arb --no-use-deferred-loading